Page MenuHomePhabricator

Include Aghem(agq) Language support on Wikidata
Closed, ResolvedPublic

Description

The Aghem language is one of the Cameroonian language which is spoken in the North-West part of Cameroon.

There is a community ready to support this language on Wikidata and other Wikimedia projects, hence the need to have this language as a supported language.

Language information:

Aghem
Yum, Wum
Country: Cameroon
ISO 639-3: agq

Purpose:
This language in the first phase will be used to edit Labels/Description/Aliases on Wikidata, as the contributors are quite new to Wikimedia projects.

Event Timeline

Eugene233 updated the task description. (Show Details)
Eugene233 renamed this task from Include Aghem Language support on Wikidata to Include Aghem(agq) Language support on Wikidata.Aug 6 2021, 9:02 AM

@Eugene233 When requesting new languages always specify what you want to use them for: Monolingual properties or Lexemes or Labels/Description/Aliases as the developer needs to know where to add them in the code.
If you want to use the language outside Wikidata, you need to contact LangCom (not via Phabricator) what you need to do to get the language added for use on all Wikimedia projects.

If the recent--judging from when label statistics started to note them--introductions of languages of Cameroon as languages for labels/descriptions/aliases is any indication, this request is likely for the same thing.

What's also missing are specific usage samples (labels or monlingual string values that could be added with the code). ( T263946 isn't really helping, as it was done without following the outlined approach )

Esc3300 changed the task status from Open to Stalled.Aug 12 2021, 12:55 PM

Given the absence of samples

What's also missing are specific usage samples (labels or monlingual string values that could be added with the code). ( T263946 isn't really helping, as it was done without following the outlined approach )

@Esc3300 By samples what do you mean clearly?

The requested language is added so as to provide translations to labels, provide aliases and descriptions.

It's explained at https://phabricator.wikimedia.org/project/profile/4981/

Ideally you would link the Wikidata items and provide the label/description you try to add to these, but currently can't.

Very comprehensive, nevertheless, the languages in [T263946] were requested so as introduce the communities on editing on Wikimedia projects which they find Wikidata an easy place to start from given the context of the project we are working on.

A few more questions(just to be sure I get the correct feedback to community)

  • Would this task required examples on how the label/descriptions would be used in order to be added?
  • Do the antonyms requested in Language codes have a particular pattern?

It's OK to add it for everything. However, what's the autonym? That is, what is the name of this language in itself?

The Wikidata item says "Aghem". The Wikipedia article says "Wum or Yum", but it's unclear to me what is the source for this. And Ethnologue says "Aghɨ̂m". Which one of these is correct?

The language is β€œAghem” as the Wikidata item says.

Was this added? If not, there's not problem from Language committee side.

Please is there any update on this language?

Change 734713 had a related patch set uploaded (by Mbch331; author: Mbch331):

[mediawiki/extensions/Wikibase@master] Add termbox language codes aqg and mcn

https://gerrit.wikimedia.org/r/734713

Change 734717 had a related patch set uploaded (by Mbch331; author: Mbch331):

[operations/mediawiki-config@master] Add language codes agq and mcn to wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/734717

Change 737453 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Mbch331):

[mediawiki/extensions/Wikibase@wmf/1.38.0-wmf.7] Add termbox language codes aqg and mcn

https://gerrit.wikimedia.org/r/737453

Change 737453 abandoned by Lucas Werkmeister (WMDE):

[mediawiki/extensions/Wikibase@wmf/1.38.0-wmf.7] Add termbox language codes aqg and mcn

Reason:

nah, actually, I8c9fd6e03b should be enough, I don’t think this needs backporting at all

https://gerrit.wikimedia.org/r/737453

Change 734717 merged by jenkins-bot:

[operations/mediawiki-config@master] Add language codes agq and mcn to wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/734717

Mentioned in SAL (#wikimedia-operations) [2021-11-09T12:07:53Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734717|Add language codes agq and mcn to wmgExtraLanguageNames (T288335, T293884)]] (duration: 00m 56s)

Change 734713 merged by jenkins-bot:

[mediawiki/extensions/Wikibase@master] Add termbox language codes aqg and mcn

https://gerrit.wikimedia.org/r/734713